
\addchap{Index}
\definecolor{cinzaindex}{rgb}{0.4,0.4,0.4}
\renewcommand\cinza[1]{\textcolor{cinzaindex}{#1}}

A \cinza{gray} paragraph number indicates that that concept can be found not in the text of
the manual but in the source code of that example.
\bigskip

\noindent
anisotropic mesh\,: \ref{\numb section 3.\numb parag 27}\,--\,\ref{\numb section 3.\numb parag 30}

\noindent
{\small\tt\verm{Cell}::\underbar{belongs}\_\,to}\,: 

\noindent
boundary of a cell\,: \ref{\numb section 1.\numb parag 2}

\noindent
{\small\tt\verm{Mesh}::\underbar{Build}}\,: all over the place, especially
\ref{\numb section 1.\numb parag 1}, \ref{\numb section 12.\numb parag 8}

\noindent
cell\,: \ref{\numb section 1.\numb parag 2}, \ref{\numb section 9.\numb parag 1}

\noindent
{\small\tt\verm{Mesh}::\underbar{cell}\_\,in\_\,front\_\,of},
{\small\tt\verm{Mesh}::\underbar{cell}\_\,behind}\,: \ref{\numb section 9.\numb parag 8},
\ref{\numb section 9.\numb parag 9}

\noindent
cloud\,: see {\small\tt\verm{MetricTree}}

\noindent
code coloring\,: see source text coloring

% \noindent
% coloring conventions for code samples\,: see source text coloring

\noindent
compilation flags\,: 
\ref{\numb section 12.\numb parag 14}, \ref{\numb section 12.\numb parag 15}

\noindent
compilation process\,: \ref{\numb section 12.\numb parag 12},
\ref{\numb section 12.\numb parag 14}, \ref{\numb section 12.\numb parag 15}

\noindent
{\small\tt\verm{Mesh}::\underbar{Composite}}\,: \ref{\numb section 2.\numb parag 3}
\ref{\numb section 5.\numb parag 1}\,--\,\ref{\numb section 5.\numb parag 6},
\ref{\numb section 6.\numb parag 3}

\noindent
cone\,: \ref{\numb section 3.\numb parag 21}, \ref{\numb section 7.\numb parag 15},
\ref{\numb section 7.\numb parag 16}

\noindent
coordinates\,: \ref{\numb section 6.\numb parag 1}, \ref{\numb section 14.\numb parag 7}

\noindent
cubic cells\,: see hexahedral cells

\noindent
cylinder\,: \ref{\numb section 3.\numb parag 18}, \ref{\numb section 3.\numb parag 19},
\ref{\numb section 7.\numb parag 3}, \ref{\numb section 7.\numb parag 19}

\noindent
symbolic \underbar{differentiation}\,: \ref{\numb section 1.\numb parag 3},
\ref{\numb section 6.\numb parag 1}\,--\,\ref{\numb section 6.\numb parag 3},
\ref{\numb section 11.\numb parag 2}\,--\,\ref{\numb section 11.\numb parag 9}

\noindent
dimension of a cell or mesh\,: \ref{\numb section 1.\numb parag 2},
\ref{\numb section 12.\numb parag 4}, \ref{\numb section 12.\numb parag 7}

\noindent
docking (a finite element on a cell), {\small\tt\verm{Integrator}::dock\_\,on},
{\small\tt\verm{FiniteElement}::dock\_\,on}\,:\hfil\break
\hglue 9mm section \ref{\numb section 11}

\noindent
{\small\tt\verm{Mesh}::\underbar{draw}\_\,ps}\,: \ref{\numb section 1.\numb parag 4},
\ref{\numb section 7.\numb parag 4}

\noindent
{\small\tt\verm{Mesh}::Build::\underbar{entire}\_\,manifold}\,:
\ref{\numb section 3.\numb parag 2}

\noindent
errors\,: \ref{\numb section 12.\numb parag 12}, \ref{\numb section 12.\numb parag 13}

\noindent
{\small\tt\verm{Cell}::\underbar{exists}}\,: \ref{\numb section 9.\numb parag 9}

\noindent
exporting a {\small\tt\verm{Mesh}} to a file\,: \ref{\numb section 1.\numb parag 1},
\ref{\numb section 1.\numb parag 2}, \ref{\numb section 1.\numb parag 4},
\ref{\numb section 5.\numb parag 1},
\ref{\numb section 5.\numb parag 4}\,--\,\ref{\numb section 5.\numb parag 6},
\ref{\numb section 7.\numb parag 6}

\noindent
{\small\tt\verm{Mesh}::\underbar{export}\_\,to\_\,file}\,:
see exporting a {\small\tt\verm{Mesh}} to a file

\noindent
building meshes by \underbar{extrusion}\,: section \ref{\numb section 4}

\noindent
{\small\tt\verm{Mesh}::\underbar{fold}}\,:
see folding a mesh around a cylinder or torus

\noindent
{\small\tt Field}\,: \ref{\numb section 6.\numb parag 1}

\noindent
finite element\,: section \ref{\numb section 11}

\noindent
finite element, quadrangle\,: \ref{\numb section 11.\numb parag 2},
\ref{\numb section 11.\numb parag 7}, \ref{\numb section 11.\numb parag 8}

\noindent
finite element, quadrilateral\,: see finite element, quadrangle

\noindent
finite element, triangle\,: \ref{\numb section 11.\numb parag 3},
\ref{\numb section 11.\numb parag 5}, \ref{\numb section 11.\numb parag 6}

\noindent
finite element, tetrahedron\,: \ref{\numb section 11.\numb parag 9}

\noindent
finite element, hexahedron\,: \ref{\numb section 11.\numb parag 10}

\noindent
folding a mesh around a cylinder or a torus\,: \ref{\numb section 7.\numb parag 19}\,--\,%
\ref{\numb section 7.\numb parag 22}

\noindent
frontal mesh generation\,: \ref{\numb section 1.\numb parag 9}, section \ref{\numb section 3},
\ref{\numb section 7.\numb parag 25},
\ref{\numb section 13.\numb parag 6}\,--\,\ref{\numb section 13.\numb parag 15},

\noindent
{\small\tt \verm{Function}}\,: \ref{\numb section 1.\numb parag 3},
\ref{\numb section 6.\numb parag 1}

\noindent
garbage collector\,: \ref{\numb section 12.\numb parag 5}

\noindent
Gauss quadrature\,: see integrators

\noindent
hexahedral cells\,: \ref{\numb section 1.\numb parag 7}, \ref{\numb section 2.\numb parag 15},
\ref{\numb section 7.\numb parag 11}\,--\,\ref{\numb section 7.\numb parag 13}

\noindent
{\small\tt\verm{Manifold}::\underbar{implicit}}\,: see manifold, defined by one or more implicit equations

\noindent
importing a {\small\tt\verm{Mesh}} from a file\,:
\ref{\numb section 1.\numb parag 4}, \ref{\numb section 5.\numb parag 2},
\ref{\numb section 5.\numb parag 3}, \ref{\numb section 5.\numb parag 10}

\noindent
{\small\tt\verm{Mesh}::Iterator::\underbar{in}\_\,range}\,: \ref{\numb section 9.\numb parag 5}

\noindent
inherent orientation of a {\small\tt\verm{Mesh}}\,: \ref{\numb section 3.\numb parag 12},
\ref{\numb section 3.\numb parag 13}

\noindent
{\small\tt init\_\,cell}\,: \ref{\numb section 12.\numb parag 10}

\noindent
symbolic \underline{integration}\,:  \ref{\numb section 6.\numb parag 2}

\noindent
integrator\,: \ref{\numb section 1.\numb parag 1}, section \ref{\numb section 11}

\noindent
integrators on a hexahedral cell (cube)\,: \ref{\numb section 11.\numb parag 10}

\noindent
integrators on a quadrilateral cell\,: \ref{\numb section 11.\numb parag 2}

\noindent
integrators on a triangular cell\,: \ref{\numb section 11.\numb parag 3}

\noindent
integrators on a tetrahedral cell\,: \ref{\numb section 11.\numb parag 9}

\noindent
interface evolution\,: \ref{\numb section 10.\numb parag 5}

\noindent
interpolation of coordinates\,:
\ref{\numb section 2.\numb parag 6}\,--\,\ref{\numb section 2.\numb parag 13},
\ref{\numb section 13.\numb parag 1}\,--\,\ref{\numb section 13.\numb parag 3}

\noindent
intersection of {\small\tt\verm{Manifold}}\hglue0.5pt s\,: \ref{\numb section 2.\numb parag 14},
\cinza{\ref{\numb section 2.\numb parag 18}}, \ref{\numb section 3.\numb parag 17},
\ref{\numb section 3.\numb parag 18}, \ref{\numb section 3.\numb parag 19}

\noindent
intrinsic orientation of a {\small\tt\verm{Mesh}}\,: \ref{\numb section 3.\numb parag 12},
\ref{\numb section 3.\numb parag 13}

\noindent
iterators over cells\,: \ref{\numb section 9.\numb parag 5}, \ref{\numb section 9.\numb parag 6},
\ref{\numb section 9.\numb parag 10}

\noindent
{\small\tt join}ing meshes\,: \ref{\numb section 1.\numb parag 4},
\ref{\numb section 1.\numb parag 5}, \ref{\numb section 1.\numb parag 6},
\ref{\numb section 2.\numb parag 1}, \ref{\numb section 2.\numb parag 5},
\ref{\numb section 2.\numb parag 7}, \ref{\numb section 2.\numb parag 8},
\ref{\numb section 2.\numb parag 9}, \ref{\numb section 9.\numb parag 2}

\noindent
Klein surface\,: \ref{\numb section 14.\numb parag 6}

\noindent
level set\,: see manifold, defined by one or more implicit equations

\noindent
m-tree\,: \ref{\numb section 13.\numb parag 14}

\noindent
{\small\tt MANIFEM\_\,COLLECT\_\,CM} compilation flag\,: \ref{\numb section 10.\numb parag 1},
\ref{\numb section 12.\numb parag 5}, \ref{\numb section 12.\numb parag 14},
\ref{\numb section 12.\numb parag 15}

\noindent
manifold\,: \ref{\numb section 2.\numb parag 6}, \ref{\numb section 2.\numb parag 8},
\ref{\numb section 2.\numb parag 11}, \ref{\numb section 2.\numb parag 14},
\ref{\numb section 2.\numb parag 17}, \ref{\numb section 2.\numb parag 19},
\ref{\numb section 2.\numb parag 20}, \ref{\numb section 2.\numb parag 21},
\ref{\numb section 2.\numb parag 22}, \ref{\numb section 2.\numb parag 24},
\ref{\numb section 7.\numb parag 1}, \ref{\numb section 7.\numb parag 3},
\ref{\numb section 7.\numb parag 4},
section \ref{\numb section 8}, \ref{\numb section 14.\numb parag 3}

\noindent
manifold, Euclidian\,: all over the place\hfil\break
\hglue 9mm (any code using {\maniFEM} must begin by declaring a Euclidian manifold)

\noindent
manifold, defined by one or more implicit equations\,:
\ref{\numb section 1.\numb parag 8},
\ref{\numb section 2.\numb parag 6}, \ref{\numb section 2.\numb parag 8}, \ref{\numb section 2.\numb parag 14},
section \ref{\numb section 3}

\noindent
manifold, parametric\,: \ref{\numb section 2.\numb parag 20},
\ref{\numb section 2.\numb parag 21}, \ref{\numb section 2.\numb parag 22},
\ref{\numb section 2.\numb parag 24}

\noindent
manifold, quotient\,: section \ref{\numb section 7}, \ref{\numb section 8.\numb parag 2}

\noindent
memory leak\,: \ref{\numb section 10.\numb parag 1}, \ref{\numb section 12.\numb parag 5}

\noindent
memory management\,: \ref{\numb section 12.\numb parag 5}

\noindent
mesh\,: all over the place, esp.\ \ref{\numb section 1.\numb parag 2},
\ref{\numb section 1.\numb parag 4}, \ref{\numb section 9.\numb parag 1},
\ref{\numb section 9.\numb parag 7}\,--\,\ref{\numb section 9.\numb parag 12},
\ref{\numb section 13.\numb parag 16}, \ref{\numb section 14.\numb parag 3}

\noindent
{\small\tt\verm{MetricTree}}\,: \ref{\numb section 13.\numb parag 14},
\ref{\numb section 13.\numb parag 15}

\noindent
M\"obius strip\,: \ref{\numb section 14.\numb parag 6}

\noindent
multi-functions\,: \ref{\numb section 7.\numb parag 4}, \ref{\numb section 7.\numb parag 13},
\ref{\numb section 7.\numb parag 27}\,--\,\ref{\numb section 7.\numb parag 31}

\noindent
multi-threading\,: \ref{\numb section 14.\numb parag 2}, \ref{\numb section 14.\numb parag 8}

\noindent
{\small\tt NDEBUG} compilation flag\,: \ref{\numb section 12.\numb parag 14},
\ref{\numb section 12.\numb parag 15}

\noindent
negative {\small\tt \verm{Cell}} or {\small\tt \verm{Mesh}}\,:
see orientation of {\small\tt\verm{Cell}}\hglue0.5pt s and {\small\tt\verm{Mesh}}\hglue0.5pt es

\noindent
non-uniform mesh\,: \ref{\numb section 3.\numb parag 23}\,--\,\ref{\numb section 3.\numb parag 26},
\ref{\numb section 7.\numb parag 21}

\noindent
{\small\tt\verm{Mesh}::\underbar{number}\,\_of}\,: \ref{\numb section 9.\numb parag 5}

\noindent
numbering of vertices\,:
\ref{\numb section 5.\numb parag 9}, \ref{\numb section 5.\numb parag 10},
\ref{\numb section 11.\numb parag 2}, \ref{\numb section 11.\numb parag 4}

\noindent
numerical quadrature\,: see integrators

\noindent
oct-tree\,: \ref{\numb section 13.\numb parag 14}

\noindent
orientation of {\small\tt \verm{Cell}}\hglue0.5pt s and {\small\tt \verm{Mesh}}\hglue0.5pt es\,:
\ref{\numb section 1.\numb parag 2}, \ref{\numb section 1.\numb parag 4},
\ref{\numb section 3.\numb parag 18}, \ref{\numb section 9.\numb parag 1},
\ref{\numb section 9.\numb parag 7}, \ref{\numb section 10.\numb parag 5},
\ref{\numb section 12.\numb parag 4},\hfil\break
\hglue 9mm see also intrinsic orientation, inherent orientation, random orientation

\noindent
orientation of a {\small\tt \verm{Manifold}}\,: \ref{\numb section 3.\numb parag 10}

\noindent
parallel processing\,: \ref{\numb section 14.\numb parag 2}, \ref{\numb section 14.\numb parag 8}

\noindent
parametric manifold\,: see manifold, parametric

\noindent
symbolically compute \underbar{primitives}\,: \ref{\numb section 6.\numb parag 2}

\noindent
projection, onto a manifold\,:
\ref{\numb section 8.\numb parag 1}

\noindent
projective space\,: \ref{\numb section 14.\numb parag 6}

\noindent
quad-tree\,: \ref{\numb section 13.\numb parag 14}

\noindent
quadrature\,: see integrators

\noindent
quotient manifold\,: see manifold, quotient

\noindent
random orientation of a {\small\tt\verm{Mesh}}\,: \ref{\numb section 3.\numb parag 4},
\ref{\numb section 3.\numb parag 9}, \ref{\numb section 3.\numb parag 12},
\ref{\numb section 3.\numb parag 13}

\noindent
reading a mesh from a file\,: see importing a {\small\tt\verm{Mesh}} from a file

\noindent
{\small\tt\verm{Mesh}::Iterator::\underbar{reset}}\,: \ref{\numb section 9.\numb parag 5}

\noindent
reverse {\small\tt \verm{Cell}} or {\small\tt\verm{Mesh}}\,:
see orientation of {\small\tt \verm{Cell}}\hglue0.5pt s and {\small\tt \verm{Mesh}}\hglue0.5pt es

\noindent
{\small\tt\verm{Cell}::\underbar{reverse}}, {\small\tt\verm{Mesh}::\underbar{reverse}}\,:
see orientation of {\small\tt \verm{Cell}}\hglue0.5pt s and {\small\tt \verm{Mesh}}\hglue0.5pt es

\noindent
saving a {\small\tt\verm{Mesh}} to a file\,: see exporting a {\small\tt\verm{Mesh}} to a file

\noindent
segment {\small\tt \verm{Cell}}\hglue0.5pt s\,: \ref{\numb section 1.\numb parag 2}

\noindent
segment {\small\tt \verm{Mesh}}\hglue0.5pt es\,:
\ref{\numb section 1.\numb parag 1}\,--\,\ref{\numb section 1.\numb parag 4},
\ref{\numb section 9.\numb parag 1}, \ref{\numb section 9.\numb parag 7}\,--\,%
\ref{\numb section 9.\numb parag 9}, \ref{\numb section 12.\numb parag 4},
\ref{\numb section 12.\numb parag 6}

\noindent
{\small\tt set\_\,as\_\,working\_\,manifold}\,: \ref{\numb section 1.\numb parag 9}
\ref{\numb section 2.\numb parag 11}\,--\,\ref{\numb section 2.\numb parag 16},
\ref{\numb section 2.\numb parag 19}, \ref{\numb section 3.\numb parag 1},
\ref{\numb section 3.\numb parag 2}, \ref{\numb section 3.\numb parag 3},
\ref{\numb section 3.\numb parag 9},
\ref{\numb section 3.\numb parag 13}\,--\,\ref{\numb section 3.\numb parag 27}

\noindent
shape optimization\,: \ref{\numb section 10.\numb parag 5}

\noindent
sphere\,: \ref{\numb section 2.\numb parag 8}, \ref{\numb section 3.\numb parag 6},
\ref{\numb section 3.\numb parag 18}, \ref{\numb section 3.\numb parag 19},
\ref{\numb section 5.\numb parag 6}

\noindent
singular\,: \ref{\numb section 3.\numb parag 21},  \ref{\numb section 3.\numb parag 22},
 \ref{\numb section 7.\numb parag 15}

\noindent
source text coloring\,: \ref{\numb section 12.\numb parag 2}

\noindent
{\small\tt\taag}\hskip0.5pt s\,: \ref{\numb section 12.\numb parag 3}
  
\noindent
{\small\tt\taag::desired\_\,length}\,:
\ref{\numb section 3.\numb parag 1}\,--\,\ref{\numb section 3.\numb parag 7},
\ref{\numb section 3.\numb parag 23}

\noindent
{\small\tt\taag::do\_\,not\_\,bother}\,:
\ref{\numb section 10.\numb parag 4}, \ref{\numb section 12.\numb parag 6}

\noindent
{\small\tt\taag::eps}\,: \ref{\numb section 1.\numb parag 4}

\noindent
{\small\tt\taag::extrude}\,: see building meshes by \underbar{extrusion}

\noindent
{\small\tt\taag::frontal}\,: see frontal mesh generation
  
\noindent
{\small\tt\taag::gather}\,: see {\small\tt\verm{Mesh}::\underbar{Composite}}

\noindent
{\small\tt\taag::import\_\,from\_\,file}\,: see importing a {\small\tt\verm{Mesh}} from a file 

\noindent
{\small\tt\taag::intersect}\,: see intersection of {\small\tt\verm{Manifold}}\hglue0.5pt s
  
\noindent
{\small\tt\taag::join}\,:
\ref{\numb section 1.\numb parag 4}\,--\,\ref{\numb section 1.\numb parag 6},
\ref{\numb section 2.\numb parag 1}, \ref{\numb section 2.\numb parag 2},
\ref{\numb section 2.\numb parag 8}, \ref{\numb section 3.\numb parag 18}

\noindent
{\small\tt\taag::Lagrange}\,: \ref{\numb section 6.\numb parag 1},
\ref{\numb section 11.\numb parag 2}\,--\,\ref{\numb section 11.\numb parag 9},
\ref{\numb section 14.\numb parag 7}

\noindent
{\small\tt\taag::PostScript}\,: \ref{\numb section 1.\numb parag 4}

\noindent
{\small\tt\taag::project}\,: \ref{\numb section 2.\numb parag 6}, \ref{\numb section 2.\numb parag 14},
\ref{\numb section 3.\numb parag 17}
  
\noindent
{\small\tt\taag::random}\,: \ref{\numb section 3.\numb parag 4},
\ref{\numb section 3.\numb parag 13}
  
\noindent
{\small\tt\taag::rectangle}\,: \ref{\numb section 1.\numb parag 1},
\ref{\numb section 2.\numb parag 9}, \ref{\numb section 2.\numb parag 10},
\ref{\numb section 2.\numb parag 13}, \ref{\numb section 2.\numb parag 14}

\noindent
{\small\tt\taag::segment}\,: \ref{\numb section 1.\numb parag 1}, 
\ref{\numb section 2.\numb parag 1}, \ref{\numb section 2.\numb parag 11}

\noindent
{\small\tt\taag::shortest\_\,path}\,: \ref{\numb section 3.\numb parag 5}
  
\noindent
{\small\tt\taag::unfold}\,: \ref{\numb section 7.\numb parag 4}

\noindent
{\small\tt\taag::Util}\,: \ref{\numb section 12.\numb parag 1}
  
\noindent
{\small\tt\taag::vertex}\,: \ref{\numb section 1.\numb parag 1},
\ref{\numb section 2.\numb parag 14}
  
\noindent
tetrahedral cells\,: \ref{\numb section 3.\numb parag 8}, \ref{\numb section 3.\numb parag 15},
\ref{\numb section 3.\numb parag 25}, \ref{\numb section 3.\numb parag 31},
\ref{\numb section 13.\numb parag 12}

\noindent
torus\,: \ref{\numb section 2.\numb parag 22}, \ref{\numb section 2.\numb parag 9},
\ref{\numb section 2.\numb parag 24},
\ref{\numb section 3.\numb parag 7}, \ref{\numb section 3.\numb parag 24},
\ref{\numb section 5.\numb parag 4}, \ref{\numb section 5.\numb parag 5},
\ref{\numb section 5.\numb parag 7},
\ref{\numb section 7.\numb parag 4}\,--\,\ref{\numb section 7.\numb parag 10},
\ref{\numb section 7.\numb parag 20}\,--\,\ref{\numb section 7.\numb parag 23}

\noindent
unfolding a mesh\,: \ref{\numb section 7.\numb parag 4}, \ref{\numb section 7.\numb parag 6},
\ref{\numb section 7.\numb parag 11}

\noindent
{\small\tt\verm{Mesh}::\underbar{unfold}}\,: see unfolding a mesh

\noindent
unwinding a mesh\,: see unfolding a mesh

\noindent
variational formulations\,: \ref{\numb section 6.\numb parag 3}\,--\,\ref{\numb section 6.\numb parag 5},
\ref{\numb section 9.\numb parag 3}, \ref{\numb section 13.\numb parag 17}

\noindent
{\small\tt\verm{Mesh}::Build::\underbar{vertices}}\,: \ref{\numb section 1.\numb parag 4},
\cinza{\ref{\numb section 1.\numb parag 7}},
\ref{\numb section 1.\numb parag 10}, \ref{\numb section 2.\numb parag 23},
\ref{\numb section 10.\numb parag 1}\,--\,\ref{\numb section 10.\numb parag 3},
\ref{\numb section 11.\numb parag 2}, \ref{\numb section 11.\numb parag 4},
\ref{\numb section 11.\numb parag 6}\,--\,\ref{\numb section 11.\numb parag 8},
\ref{\numb section 11.\numb parag 10}

\noindent
wrapper\,: \ref{\numb section 9.\numb parag 1}, \ref{\numb section 9.\numb parag 12},
\ref{\numb section 12.\numb parag 4}

\noindent
wrapping a mesh around a cylinder or a torus\,: see folding a mesh

\noindent
writing a mesh to a file\,: see exporting a {\small\tt\verm{Mesh}} to a file

